Skip to main content
POST
Import files

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
files
file[]
required
locale
string | null
Maximum string length: 35
format
enum<string> | null

The import and export formats with their capabilities: the registry of readers and writers. A new format is a case here, a reader and/or a writer and golden-file tests.

Available options:
laravel_php,
laravel_json,
json_js,
js_module,
po,
pot,
mo,
wordpress_php,
wordpress_jed,
csv,
xlsx,
xliff12,
xliff20
namespace
string | null
Maximum string length: 191
overwrite
boolean
createUnknownKeys
boolean
tag
string | null
Maximum string length: 50

Response

The work is queued as a job: follow it at the Location (GET /v1/jobs/{jobId}).

data
ApiJobData · object
required